Atto: Font family

atto_fontfamily
Maintained by Picture of Pau Ferrer Ocaña Pau Ferrer Ocaña, Picture of Projectes TAC Dept. Ensenyament Catalunya Projectes TAC Dept. Ensenyament Catalunya, Picture of Sara Arjona Téllez Sara Arjona Téllez
A plugin for atto to allow the font family to be altered.
2449 sites
435 downloads
39 fans

Based on atto_fontsize: Andrew Nicols and Adam Jenkins

It maintains the same features that were provided in tinymce editor.

You can provide your own list of font families.

Screenshots

Screenshot #0

Contributors

Picture of Pau Ferrer Ocaña
Pau Ferrer Ocaña (Lead maintainer): Developer
Picture of Projectes TAC Dept. Ensenyament Catalunya
Projectes TAC Dept. Ensenyament Catalunya: Lead maintainer
Picture of Sara Arjona Téllez
Sara Arjona Téllez: Developer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Sara Arjona Téllez
    Fri, 2 Sep 2016, 8:23 PM
    Hi Miguel!

    You're welcome!!

    We confirm that same version it's working with Moodle 3.1. We had forgotten to update Moodle version to include it. So, thank you for your comment!
  • Picture of Maurizio Baudino
    Fri, 23 Sep 2016, 1:30 AM
    Have you got a version for moodle 2.6? Many thanks!!!
  • cb userpic w harvey
    Thu, 6 Oct 2016, 10:37 AM
    Hi,

    Thanks for making this. Unfortunately, in 3.1.2 I got this:

    tool_installaddon/installing_non_installable_component

    More information about this error
    Debug info:
    Error code: installing_non_installable_component
    $a contents:
    Stack trace:

    line 67 of /admin/tool/installaddon/index.php: moodle_exception thrown
  • cb userpic w harvey
    Thu, 6 Oct 2016, 10:54 AM
    Back again with the fix: installing directly from Plugins directory threw the error. Downloading, then uploading into the box and clicking the "More settings.... > Plugin type > " (or something like that) > 'Atto HTML Editor' in the dropdown did the trick.

    Thanks much for this enhancement! smile
  • Picture of Anna Werner
    Tue, 18 Apr 2017, 6:38 PM
    Hey - is there a new version for moodle3.2?
  • Ricardo Caiado
    Thu, 20 Apr 2017, 2:53 AM
    Hey - is there a new version for moodle3.2?
  • Picture of Amol Chavan
    Tue, 13 Jun 2017, 8:49 PM
    Hello @all,

    I am novice user. I am using Moodle 3.2.1.
    I have installed Atto: Font family plugin in moodle.
    How i can add new font Hindi font in Atto: Font family?
    can anyone suggest me any configuration required?
  • Picture of Alexandre Bento Martins
    Thu, 8 Feb 2018, 2:22 AM
    Any upgrade to MOODLE 3.4 ?
  • Picture of Jason Touw
    Thu, 8 Feb 2018, 11:43 PM
    I as well would like to know if there are any plans build an upgrade for this in Moodle 3.4+?
  • Picture of Sara Arjona Téllez
    Wed, 21 Feb 2018, 4:20 AM
    Hi Alexandre and Jason!
    This plugin is working in all supported Moodle versions smile
    We've updated this information to avoid confusion!
    Thanks for your interest on it and best wishes from Barcelona
  • Picture of Kim Solis
    Thu, 12 Apr 2018, 2:24 AM
    I am having a problem. I used fontfamily to add TekniaGreek as a font. All was working well (I installed it, created an exam, entered as a student and answered my questions using this font...) but when I saved the exam, the font reverted to the default font and showed up with english letters instead of Greek. Do I have to add the font to my theme too? But I don't want everything to be changed to this font. I just want to see things that are typed into text editors for homework and quizzes.
  • Ricardo Caiado
    Wed, 5 Sep 2018, 8:20 PM
    Any upgrade to MOODLE 3.5 ?
  • Al
    Sun, 25 Nov 2018, 11:13 PM
    Please, can you add moodle auto-updater to this plugin? We update moodle every week and have to find the plugin when the others all do it automatically. It would save so much time, thank you.
  • Picture of Rahul Kumar
    Tue, 27 Nov 2018, 5:40 PM
    Hi , I would like to know that if this plugin is working for totara because in my case its not .
  • Picture of Urpo Karhula
    Wed, 16 Jan 2019, 8:53 PM
    Hello,

    How about 3.5 version?
1 2
Please login to post comments